Skip to content
Start here

List share resources by share ID

GET/accounts/{account_id}/shares/{share_id}/resources

List share resources by share ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Account identifier.

maxLength32
share_id: string

Share identifier tag.

maxLength32
Query ParametersExpand Collapse
page: optional number

Page number.

minimum0
multipleOf1
per_page: optional number

Number of objects to return per page.

maximum100
minimum0
multipleOf1
resource_type: optional "custom-ruleset" or "gateway-policy" or "gateway-destination-ip" or 2 more

Filter share resources by resource_type.

One of the following:
"custom-ruleset"
"gateway-policy"
"gateway-destination-ip"
"gateway-block-page-settings"
"gateway-extended-email-matching"
status: optional "active" or "deleting" or "deleted"

Filter share resources by status.

One of the following:
"active"
"deleting"
"deleted"
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: boolean

Whether the API call was successful.

result: optional array of { id, created, meta, 6 more }
id: string

Share Resource identifier.

maxLength32
created: string

When the share was created.

formatdate-time
meta: unknown

Resource Metadata.

modified: string

When the share was modified.

formatdate-time
resource_account_id: string

Account identifier.

maxLength32
resource_id: string

Share Resource identifier.

maxLength32
resource_type: "custom-ruleset" or "gateway-policy" or "gateway-destination-ip" or 2 more

Resource Type.

One of the following:
"custom-ruleset"
"gateway-policy"
"gateway-destination-ip"
"gateway-block-page-settings"
"gateway-extended-email-matching"
resource_version: number

Resource Version.

status: "active" or "deleting" or "deleted"

Resource Status.

One of the following:
"active"
"deleting"
"deleted"
result_info: optional { count, page, per_page, 2 more }
count: optional number

Total number of results for the requested service.

page: optional number

Current page within paginated list of results.

per_page: optional number

Number of results per page of results.

total_count: optional number

Total results available without any search parameters.

total_pages: optional number

Total number of pages using the given per page.

List share resources by share ID

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/shares/$SHARE_ID/resources \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "meta": {},
      "modified": "2023-09-21T18:56:32.624632Z",
      "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_type": "custom-ruleset",
      "resource_version": 0,
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "meta": {},
      "modified": "2023-09-21T18:56:32.624632Z",
      "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_type": "custom-ruleset",
      "resource_version": 0,
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}